NMDBusConnection
3
LIBNM-GLIB Library

# NMDBusConnection

## Synopsis

    #define             NM_DBUS_CONNECTION_BUS
    #define             NM_DBUS_CONNECTION_SCOPE
    #define             NM_DBUS_CONNECTION_PATH
                        NMDBusConnection;
    NMDBusConnection*   nm_dbus_connection_new              (DBusGConnection *dbus_connection,
                                                             NMConnectionScope scope,
                                                             const char *path);

## Description

## Details

### NM_DBUS_CONNECTION_BUS

    #define NM_DBUS_CONNECTION_BUS   "bus"

### NM_DBUS_CONNECTION_SCOPE

    #define NM_DBUS_CONNECTION_SCOPE "scope"

### NM_DBUS_CONNECTION_PATH

    #define NM_DBUS_CONNECTION_PATH  "path"

### NMDBusConnection

    typedef struct {
    	NMExportedConnection parent;
    } NMDBusConnection;

### nm_dbus_connection_new ()

    NMDBusConnection*   nm_dbus_connection_new              (DBusGConnection *dbus_connection,
                                                             NMConnectionScope scope,
                                                             const char *path);

`dbus_connection` :

`scope` :

`path` :

Returns :